## org.apache.poi.generator
Class FieldIterator

    java.lang.Object
      org.apache.poi.generator.FieldIterator

Direct Known Subclasses:
  HDFFieldIterator

public class FieldIterator
extends java.lang.Object

For iterating through our fields.

Author:
  Glen Stampoultzis (glens at apache.org)

Field Summary
`protected int` `offset`

Constructor Summary
`FieldIterator()`

Method Summary
`java.lang.String` `calcSize(int fieldNumber, java.lang.String fieldName, java.lang.String size, java.lang.String type)`
`java.lang.String` `fillDecoder(java.lang.String size, java.lang.String type)` This utility function returns a fill method entry for a given field
`java.lang.String` `fillDecoder2(int position, java.lang.String name, java.lang.String size, java.lang.String type)`
`void` `init(org.apache.xalan.extensions.XSLProcessorContext context, org.apache.xalan.templates.ElemExtensionCall extElem)`
`java.lang.String` `serialiseEncoder(int fieldNumber, java.lang.String fieldName, java.lang.String size, java.lang.String type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### offset

    protected int offset

Constructor Detail

### FieldIterator

    public FieldIterator()

Method Detail

### init

    public void init(org.apache.xalan.extensions.XSLProcessorContext context,
                     org.apache.xalan.templates.ElemExtensionCall extElem)

### fillDecoder

    public java.lang.String fillDecoder(java.lang.String size,
                                        java.lang.String type)

  This utility function returns a fill method entry for a given field

  Parameters:
    `size` - - how big of an "int" or the name of the size field for a string
    `type` - - int or string

### fillDecoder2

    public java.lang.String fillDecoder2(int position,
                                         java.lang.String name,
                                         java.lang.String size,
                                         java.lang.String type)

### serialiseEncoder

    public java.lang.String serialiseEncoder(int fieldNumber,
                                             java.lang.String fieldName,
                                             java.lang.String size,
                                             java.lang.String type)

### calcSize

    public java.lang.String calcSize(int fieldNumber,
                                     java.lang.String fieldName,
                                     java.lang.String size,
                                     java.lang.String type)

Copyright © 2003 Apache Software Foundation.